OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.ShadingRateImage

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVShadingRateImage :: MonadIO m => m Bool
- gl_NV_shading_rate_image :: Bool
- pattern GL_MAX_COARSE_FRAGMENT_SAMPLES_NV :: GLenum
- pattern GL_SHADING_RATE_16_INVOCATIONS_PER_PIXEL_NV :: GLenum
- pattern GL_SHADING_RATE_1_INVOCATION_PER_1X2_PIXELS_NV :: GLenum
- pattern GL_SHADING_RATE_1_INVOCATION_PER_2X1_PIXELS_NV :: GLenum
- pattern GL_SHADING_RATE_1_INVOCATION_PER_2X2_PIXELS_NV :: GLenum
- pattern GL_SHADING_RATE_1_INVOCATION_PER_2X4_PIXELS_NV :: GLenum
- pattern GL_SHADING_RATE_1_INVOCATION_PER_4X2_PIXELS_NV :: GLenum
- pattern GL_SHADING_RATE_1_INVOCATION_PER_4X4_PIXELS_NV :: GLenum
- pattern GL_SHADING_RATE_1_INVOCATION_PER_PIXEL_NV :: GLenum
- pattern GL_SHADING_RATE_2_INVOCATIONS_PER_PIXEL_NV :: GLenum
- pattern GL_SHADING_RATE_4_INVOCATIONS_PER_PIXEL_NV :: GLenum
- pattern GL_SHADING_RATE_8_INVOCATIONS_PER_PIXEL_NV :: GLenum
- pattern GL_SHADING_RATE_IMAGE_BINDING_NV :: GLenum
- pattern GL_SHADING_RATE_IMAGE_NV :: GLenum
- pattern GL_SHADING_RATE_IMAGE_PALETTE_SIZE_NV :: GLenum
- pattern GL_SHADING_RATE_IMAGE_TEXEL_HEIGHT_NV :: GLenum
- pattern GL_SHADING_RATE_IMAGE_TEXEL_WIDTH_NV :: GLenum
- pattern GL_SHADING_RATE_NO_INVOCATIONS_NV :: GLenum
- pattern GL_SHADING_RATE_SAMPLE_ORDER_DEFAULT_NV :: GLenum
- pattern GL_SHADING_RATE_SAMPLE_ORDER_PIXEL_MAJOR_NV :: GLenum
- pattern GL_SHADING_RATE_SAMPLE_ORDER_SAMPLE_MAJOR_NV :: GLenum
- glBindShadingRateImageNV :: MonadIO m => GLuint -> m ()
- glGetShadingRateImagePaletteNV :: MonadIO m => GLuint -> GLuint -> Ptr GLenum -> m ()
- glGetShadingRateSampleLocationivNV :: MonadIO m => GLenum -> GLuint -> GLuint -> Ptr GLint -> m ()
- glShadingRateImageBarrierNV :: MonadIO m => GLboolean -> m ()
- glShadingRateImagePaletteNV :: MonadIO m => GLuint -> GLuint -> GLsizei -> Ptr GLenum -> m ()
- glShadingRateSampleOrderCustomNV :: MonadIO m => GLenum -> GLuint -> Ptr GLint -> m ()
- glShadingRateSampleOrderNV :: MonadIO m => GLenum -> m ()

# Extension Support

glGetNVShadingRateImage :: MonadIO m => m Bool Source #

Is the NV_shading_rate_image extension supported?

gl_NV_shading_rate_image :: Bool Source #

Is the NV_shading_rate_image extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVShadingRateImage` in those cases instead.

# Enums

pattern GL_MAX_COARSE_FRAGMENT_SAMPLES_NV :: GLenum Source #

pattern GL_SHADING_RATE_16_INVOCATIONS_PER_PIXEL_NV :: GLenum Source #

pattern GL_SHADING_RATE_1_INVOCATION_PER_1X2_PIXELS_NV :: GLenum Source #

pattern GL_SHADING_RATE_1_INVOCATION_PER_2X1_PIXELS_NV :: GLenum Source #

pattern GL_SHADING_RATE_1_INVOCATION_PER_2X2_PIXELS_NV :: GLenum Source #

pattern GL_SHADING_RATE_1_INVOCATION_PER_2X4_PIXELS_NV :: GLenum Source #

pattern GL_SHADING_RATE_1_INVOCATION_PER_4X2_PIXELS_NV :: GLenum Source #

pattern GL_SHADING_RATE_1_INVOCATION_PER_4X4_PIXELS_NV :: GLenum Source #

pattern GL_SHADING_RATE_1_INVOCATION_PER_PIXEL_NV :: GLenum Source #

pattern GL_SHADING_RATE_2_INVOCATIONS_PER_PIXEL_NV :: GLenum Source #

pattern GL_SHADING_RATE_4_INVOCATIONS_PER_PIXEL_NV :: GLenum Source #

pattern GL_SHADING_RATE_8_INVOCATIONS_PER_PIXEL_NV :: GLenum Source #

pattern GL_SHADING_RATE_IMAGE_BINDING_NV :: GLenum Source #

pattern GL_SHADING_RATE_IMAGE_NV :: GLenum Source #

pattern GL_SHADING_RATE_IMAGE_PALETTE_SIZE_NV :: GLenum Source #

pattern GL_SHADING_RATE_IMAGE_TEXEL_HEIGHT_NV :: GLenum Source #

pattern GL_SHADING_RATE_IMAGE_TEXEL_WIDTH_NV :: GLenum Source #

pattern GL_SHADING_RATE_NO_INVOCATIONS_NV :: GLenum Source #

pattern GL_SHADING_RATE_SAMPLE_ORDER_DEFAULT_NV :: GLenum Source #

pattern GL_SHADING_RATE_SAMPLE_ORDER_PIXEL_MAJOR_NV :: GLenum Source #

pattern GL_SHADING_RATE_SAMPLE_ORDER_SAMPLE_MAJOR_NV :: GLenum Source #

# Functions

glBindShadingRateImageNV Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> m () |

glGetShadingRateImagePaletteNV Source #

Arguments

:: MonadIO m |
=> GLuint | `viewport`.
-> GLuint | `entry`.
-> Ptr GLenum | `rate` pointing to `1` element of type `GLenum`.
-> m () |

glGetShadingRateSampleLocationivNV Source #

Arguments

:: MonadIO m |
=> GLenum | `rate`.
-> GLuint | `samples`.
-> GLuint | `index`.
-> Ptr GLint | `location` pointing to `3` elements of type `GLint`.
-> m () |

glShadingRateImageBarrierNV Source #

Arguments

:: MonadIO m |
=> GLboolean | `synchronize` of type Boolean.
-> m () |

glShadingRateImagePaletteNV Source #

Arguments

:: MonadIO m |
=> GLuint | `viewport`.
-> GLuint | `first`.
-> GLsizei | `count`.
-> Ptr GLenum | `rates` pointing to `count` elements of type `GLenum`.
-> m () |

glShadingRateSampleOrderCustomNV Source #

Arguments

:: MonadIO m |
=> GLenum | `rate`.
-> GLuint | `samples`.
-> Ptr GLint | `locations` pointing to `COMPSIZE(rate,samples)` elements of type `GLint`.
-> m () |

glShadingRateSampleOrderNV Source #

Arguments

:: MonadIO m |
=> GLenum | `order`.
-> m () |